# Čtení obsahu souboru.

# file.txt:
"""
1
2
3
"""

# Klauzule finally:
"""
try:
    print(1/0)
finally:
    print("úklid")

try:
    print(1)
finally:
    print("úklid")
"""

# Napište funkci, která vrátí obsah souboru na cestě.
"""
>>> load_file_content("file.txt")                                                      
'1\n2\n3\n'
"""

def load_file_content(path):
    try:
        file = open(path)
        try:
            return file.read()
        finally:
            file.close()
    except Exception as exception:
        raise RuntimeError(f"Can not read \
the content of the file on the {path}.") from exception

# Získání pole řádků.
"""
>>> "1\n2\n3\n".split("\n")
['1', '2', '3', '']
>>> "1\n2\n3\n".rstrip()
'1\n2\n3'
>>> "1\n2\n3\n".rstrip().split("\n")
['1', '2', '3']
"""
# Napište funkci, která získá z řetězce pole řádků.
def parse_lines(string):
    return string.rstrip().split("\n")
"""
>>> parse_lines("1\n2\n3\n")
['1', '2', '3']
"""
# Napište funkci,
# která vrátí pole řádků souboru na cestě.
def load_file_lines(path):
    return parse_lines(load_file_content(path))
"""
>>> load_file_lines("file.txt")
['1', '2', '3']
"""
