# Funkce pro práci s poli.
def map_array(function, array):
    result = []
    for element in array:
        new_element = function(element)
        result += [new_element]
    return result

def filter_array(predicate, array):
    result = []
    for element in array:
        if predicate(element):
            result += [element]
    return result

def reduce_array(function, init, array):
    result = init
    for el in array:
        result = function(result, el)
    return result
