# Funkce pro práci se soubory.

def load_file_content(path):
    """Vrátí obsah souboru na cestě."""
    try:
        file = open(path)
        try:
            return file.read()
        finally:
            file.close()
    except Exception as exception:
        raise RuntimeError(f"Can not read the content of the file on the path {path}.") from exception


def parse_lines(string):
    return string.rstrip().split("\n")

def load_file_lines(path):
    """Vrátí pole řádků souboru na cestě."""
    return parse_lines(load_file_content(path))
